use cloudinit user data in ovirt/rhev compute ressource

11/05/2014 04:53 PM - Karim Boumedhel

Status: Closed   

Priority: Normal   

Assignee: Karim Boumedhel   

Category: Compute resources - oVirt   

Target version: 1.13.0   

Difficulty: medium Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1189813 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2350

  

Description

as a ovirt/rhev user, i would like to use the cloudinit integration described at http://www.ovirt.org/Features/Cloud-Init_Integration from

foreman

that means applying a user_data template and have it applied when deploying a ovirt/rhev vm from template

changes need to be done at the following level

-rbovirt to pass a specific body when using vm_action with 'start' action

-fog to pass a user when using vm.start

-foreman to handle user_data and pass it to setComputePowerUp in app/models/concerns/orchestration/compute.rb

make those changes invisible to other compute ressources

have the two first changes ready , working on the last one

Related issues:

Blocked by Foreman - Refactor #8641: Update fog version to 1.27.x Closed 12/10/2014

Blocked by Foreman - Refactor #13698: update to rest-client 1.8.x Closed 02/14/2016

Associated revisions

Revision 5dec3a52 - 06/15/2016 03:47 AM - karimb 

Fixes #8289 - handle user data in ovirt

History

#1 - 12/06/2014 12:56 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1939 added

- Pull request deleted ()

#2 - 12/08/2014 03:18 AM - Dominic Cleal

- Assignee set to Karim Boumedhel

#3 - 01/22/2015 04:08 AM - Dominic Cleal

- Blocked by Refactor #8641: Update fog version to 1.27.x added

#4 - 02/24/2015 06:21 PM - Karim Boumedhel

new PR ready at https://github.com/theforeman/foreman/pull/2198

#5 - 04/29/2015 01:50 PM - Bryan Kearney

- Bugzilla link set to 1189813

#6 - 05/05/2015 11:50 AM - Karim Boumedhel
http://www.ovirt.org/Features/Cloud-Init_Integration
https://github.com/theforeman/foreman/pull/2198


ultimate PR at https://github.com/theforeman/foreman/pull/2350

#7 - 02/13/2016 07:57 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3175 added

#8 - 02/14/2016 10:00 AM - Anonymous

- Blocked by Refactor #13698: update to rest-client 1.8.x added

#9 - 02/14/2016 10:04 AM - Anonymous

- Pull request deleted (https://github.com/theforeman/foreman/pull/3175)

#10 - 02/14/2016 10:05 AM - Anonymous

- Pull request https://github.com/theforeman/foreman/pull/2350 added

- Pull request deleted (https://github.com/theforeman/foreman/pull/1939)

#11 - 06/15/2016 04:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5dec3a526879e70ef0c3aeac0c8d0945d1614dba.

#12 - 06/15/2016 04:29 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#13 - 08/14/2017 11:11 AM - Ivan Necas

- Related to Feature #20590: Full cloud-init support with ovirt provider added

#14 - 04/04/2018 04:40 PM - keith lin

- Related to deleted (Feature #20590: Full cloud-init support with ovirt provider)
